## org.apache.myfaces.el
Class ValueBindingImpl.ELVariableResolver

    java.lang.Object
      org.apache.myfaces.el.ValueBindingImpl.ELVariableResolver

All Implemented Interfaces:
  javax.servlet.jsp.el.VariableResolver

Enclosing class:
  ValueBindingImpl

public static class ValueBindingImpl.ELVariableResolver
extends java.lang.Object
implements javax.servlet.jsp.el.VariableResolver

Constructor Summary
`ValueBindingImpl.ELVariableResolver(javax.faces.context.FacesContext facesContext)`

Method Summary
`java.lang.Object` `resolveVariable(java.lang.String pName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBindingImpl.ELVariableResolver

    public ValueBindingImpl.ELVariableResolver(javax.faces.context.FacesContext facesContext)

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(java.lang.String pName)
                                     throws javax.servlet.jsp.el.ELException

  Specified by:
    `resolveVariable` in interface `javax.servlet.jsp.el.VariableResolver`
  Throws:
    `javax.servlet.jsp.el.ELException`